Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

workflow_run_id
string
required

Workflow run ID, can be obtained from the streaming events or message metadata.

Response

Successfully retrieved workflow run details.

id
string<uuid>

Workflow run ID.

workflow_id
string<uuid>

Workflow ID.

status
string

Workflow execution status. running for in-progress executions, succeeded when completed successfully, failed when execution encountered an error, stopped when manually halted, partial-succeeded when some nodes succeeded but others failed, paused when awaiting human input.

inputs
object

Input variables for the workflow run.

outputs
object | null

Output data from the workflow.

error
string | null

Error message if the workflow failed.

total_steps
integer

Total number of workflow steps executed.

total_tokens
integer

Total tokens consumed.

created_at
integer<int64>

Unix timestamp of when the workflow run was created.

finished_at
integer<int64> | null

Unix timestamp of when the workflow run finished.

elapsed_time
number<float> | null

Total time elapsed in seconds.